### Method

# GUPnP DeviceInfo list_services

#### Declaration [src]

    GList*
    gupnp_device_info_list_services (
      GUPnPDeviceInfo* info
    )

#### Description [src]

Get a `GList` of new objects implementing `GUPnPServiceInfo` representing the services directly contained in `info`. The returned list should be g_list_free()’d and the elements should be g_object_unref()’d.

Note that services are not cached internally, so that every time you call function new objects are created. The application must cache any used services if it wishes to keep them around and re-use them.

#### Return value

Returns: | A list of `GUPnPServiceInfo*`
| A `GList` of new `GUPnPServiceInfo` objects.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.